TD-W8901G(UK)_V3_140512 was the wrong update for firmware

TD-W8901G(UK)_V3_140512 was the wrong update for firmware
TD-W8901G(UK)_V3_140512 was the wrong update for firmware
2017-12-06 01:48:09
Model :

Hardware Version :

Firmware Version :

ISP :

Hi everybode
i have TD-W8901G V3 & today i changed may firmware bye the file that was in TP-LINK oroginal pages cuz i thought they have the best & correct version,there was 3 version & i choose the latest version  (TD-W8901G(UK)_V3_140512) . when i installed this file unbelievably saw that instead of upgrade my firmware wenat to older version that even was not in modem from the begining. my firmware version before uodate was  "3.0.1 Build 100901 Rel.23594"  & after update  "3.0.0 Build 140512 Rel.06002".  i found my 3.0.1 version file to again updating but when i asked to update i took this error  "Error:FAIL TO UPDATE DUE TO…The upload file was not accepted by the router" !!!!!!!!!!!!!!!!!!! 
Anybody knows whats the reason of or whats the problem of this error? or anybody knows how can i get back my last version of firmware (3.0.1)? 

 PLZ help me
0
0
#1
Options
1 Reply
Re:TD-W8901G(UK)_V3_140512 was the wrong update for firmware
2019-02-08 22:38:49
فریمور TD=W8901G
0
0
#2
Options